uBooNE Reconstruction - Task #14204
Milestone # 13399 (New): Parent reconstruction milestones/tasks for reconstruction necessary for MCC8 and reconstruction "v6"
Milestone # 13400 (New): MCC8 and "v6" reconstruction development

Milestone # 13403 (New): Alternate Reconstruction Paths

Integration of Cluster3D into LArSoft reconstruction
10/21/2016 10:51 AM - Tracy Usher

Status: Work in progress Start date: 08/01/2016
Priority: Normal Due date: 01/31/2017
Assignee: Tracy Usher % Done: 50%
Category: Estimated time: 0.00 hour
Target version:

Description

The Cluster3D pattern recognition/event reconstruction needs updating to accommodate dead channels and needs to continue to
progress to become a useful alternative pattern recognition approach.

History

#1 - 10/21/2016 10:51 AM - Tracy Usher

Cluster3D has progressed. A fair bit of refactoring to split the steps into separate algorithms so that production of 3D space points, clustering of space
points (including rejection of ambiguous clusters), basic analysis of clusters and then output to the data store has not been completed. Important
improvement is to include the dead channels from the channel status database (also by hand including known "quiet wires" in the first induction plane
of MicroBooNE). At the moment we only account for a dead channel in one of the three planes we are trying to form a space point, to do is to try to
handle where there are dead wires in more than one plane.

The latest round of processing has been pushed to feature/usher_cluster3dupdates of larreco and lardata.

#2 - 10/21/2016 10:54 AM - Tracy Usher
- File Cluster3DEvent.jpg added

- File Cluster3dEvent_close.jpg added

- % Done changed from 0 to 50

An example event at the output of cluster3d:
#3 - 10/21/2016 11:01 AM - Tracy Usher

- Status changed from New to Work in progress

- Start date changed from 10/21/2016 to 08/01/2016

Files

Cluster3DEvent.jpg 27.2 KB

Cluster3dEvent_close.jpg 44.7 KB
